# Enum Class XPathEvaluationResult.XPathResultType

java.lang.Object
java.lang.Enum<XPathEvaluationResult.XPathResultType>
javax.xml.xpath.XPathEvaluationResult.XPathResultType

All Implemented Interfaces:
  `Serializable, Comparable<XPathEvaluationResult.XPathResultType>, Constable`

Enclosing interface:
  `XPathEvaluationResult<T>`

public static enum XPathEvaluationResult.XPathResultType extends Enum<XPathEvaluationResult.XPathResultType>
XPathResultType represents possible return types of an XPath evaluation. Provided as an enum type, it allows the use of switch statement. At the same time, a mapping is provided between the original QName types in `XPathConstants` and class types used in the generic methods.

Since:
  9

## Nested Class Summary

### Nested classes/interfaces declared in class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANY`
Any type that represents any of the 5 other types listed below.
`BOOLEAN`
The XPath 1.0 boolean data type.
`NODE`
The XPath 1.0 Node data type.
`NODESET`
The XPath 1.0 NodeSet data type.
`NUMBER`
The XPath 1.0 Number data type.
`STRING`
The XPath 1.0 String data type.

## Method Summary

Modifier and Type
Method
Description
`static QName`
`getQNameType(Class<?> clsType)`
Returns the QName type as specified in `XPathConstants` that corresponds to the specified class type.
`static XPathEvaluationResult.XPathResultType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XPathEvaluationResult.XPathResultType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### ANY

public static final XPathEvaluationResult.XPathResultType ANY
Any type that represents any of the 5 other types listed below. Maps to `XPathEvaluationResult`.

### BOOLEAN

public static final XPathEvaluationResult.XPathResultType BOOLEAN
The XPath 1.0 boolean data type. Maps to Java `Boolean`.

### NUMBER

public static final XPathEvaluationResult.XPathResultType NUMBER
The XPath 1.0 Number data type. Maps to Java `Number`. Of the subtypes of Number, only Double, Integer and Long are required.

### STRING

public static final XPathEvaluationResult.XPathResultType STRING
The XPath 1.0 String data type. Maps to Java `String`.

### NODESET

public static final XPathEvaluationResult.XPathResultType NODESET
The XPath 1.0 NodeSet data type. Maps to `XPathNodes`.

### NODE

public static final XPathEvaluationResult.XPathResultType NODE
The XPath 1.0 Node data type. Maps to `Node`.

## Method Details

### values

public static XPathEvaluationResult.XPathResultType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static XPathEvaluationResult.XPathResultType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getQNameType

public static QName getQNameType(Class<?> clsType)
Returns the QName type as specified in `XPathConstants` that corresponds to the specified class type.

Parameters:
  `clsType` - a class type that the enum type supports
Returns:
  the QName type that matches with the specified class type, null if there is no match